#ifndef IMAGE_VIEWER_H
#define IMAGE_VIEWER_H

#include <QWidget>
#include <QPaintEvent>

struct ImageViewerData;

class ImageViewer : public QWidget
{
	Q_OBJECT

public:
	ImageViewer(QString fileName, QWidget* parent = 0);
	~ImageViewer();

protected:
	void updatePolygon();

	void mouseMoveEvent(QMouseEvent* me);
	void mousePressEvent(QMouseEvent* me);
	void mouseReleaseEvent(QMouseEvent* me);

	void paintEvent(QPaintEvent* pe);

private:
	ImageViewerData* d;

};

#endif // IMAGE_VIEWER_H

