#include "ImageViewer.h"

#include <QApplication>
#include <QMessageBox>

int main(int argc, char* argv[])
{
	QApplication app(argc, argv);

	if(argc != 2)
	{
		QMessageBox::information(0, "Info01: Incorrect usage", 
		"USAGE: ImageViewer filename.xxx\nTo load default click OK");
	}

	// Presuming image files are kept in the working directory
	QString str;
	if(argc == 2)
		str = argv[1];
	else
		str = "ct.jpg";

	ImageViewer image(str, 0);
	
	image.show();

	return app.exec();
}